"""

"""

__author__ = "Vision Labs LLC"
__copyright__ = "Copyright 2024, Vision Labs LLC"
__credits__ = []
__license__ = "Proprietary"
__version__ = "1.2.1"
__maintainer__ = "Vision Labs LLC"
__email__ = "TODO"
__status__ = "Development"


try:
    # Import native module
    from ._PyFsdkInterop import * 
except ImportError:
    import distutils.sysconfig
    from os.path import join, dirname
    raise RuntimeError("Failed to import native module _PyFsdkInterop! "
                           f"Please check whether \"{join(dirname(__file__), '_PyFsdkInterop' + distutils.sysconfig.get_config_var('EXT_SUFFIX'))}\""  # noqa
                           " exists and can find all library dependencies (CUDA).\n"
                           "On Unix systems, you can use `ldd` on the file to see whether it can find all dependencies.\n"
                           "On Windows, you can use \"dumpbin /dependents\" in a Visual Studio command prompt or\n"
                           "https://github.com/lucasg/Dependencies/releases.")
